Subject: Re: [PATCH net-next 6/7] net: systemport: Add support for WAKE_FILTER

From: Andrew Lunn <[email-masked]>
Date: Fri, 20 Jul 2018 00:25:10 +0200

> In both of your examples, only one bit is set, what will change is the
> value being programmed to RXHCK_BRCM_TAG(i), which will be either 0, or
> 1, but the value programmed to RXCHK_CONTROL as far as which filter is
> enabled will be the same because we can use filter position 0.
> 
> What the code basically does is look at how many bits are set in the
> filters bitmap, and then it starts populating the filters from filter 0
> up to filter 7 with the value of the bit.

O.K. Now it get it. Sorry for being so slow.

     Andrew